using System;

namespace IOB_WIN_NEXT
{
    public interface IOutput
    {
        #region Public Methods

        void WriteLine(object obj);

        void WriteLine(string msg);

        void WriteLine(string msg, params object[] parameters);

        #endregion Public Methods
    }

    public class ConsoleOutput : IOutput
    {
        #region Public Methods

        public void WriteLine(object obj) => Console.WriteLine(obj);

        public void WriteLine(string msg) => Console.WriteLine(msg);

        public void WriteLine(string msg, params object[] parameters) => Console.WriteLine(msg, parameters);

        #endregion Public Methods
    }
}